from Products.Five.browser import BrowserView
from Products.statusmessages.interfaces import IStatusMessage
from zope.interface import implements

from sixfeetup.placefulcode.codemanager import CodeManagerAdapter
from sixfeetup.placefulcode.browser.interfaces import ICodeView

class CodeView(BrowserView):
    """View class for the CSS / Javascript code
    """
    implements(ICodeView)

    def __init__(self, context, request):
        self.context = context
        self.request = request
        try:
            self.adapter = CodeManagerAdapter(self.context)
        except TypeError:
            # Could not adapt
            self.adapter = None

    def getCode(self):
        """ Returns the locally defined code for the item """
        if self.adapter:
            return self.adapter.getCode()
        return {}

    def setCode(self):
        """ Saves the locally defined code for the item """
        status = IStatusMessage(self.request)
        form = self.request.form
        custom_css = form.get('custom_css', None)
        custom_js = form.get('custom_js', None)
        self.adapter.setCode(custom_css, custom_js)
        status.addStatusMessage(
                'Local custom code has been saved',
                type='info')
        self.request.response.redirect(self.context.absolute_url())

